%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_with doc

%define api	2.68
%define major		1
%define libname		%mklibname glibmm %{api} %{major}
%define libnamedev	%mklibname -d glibmm %{api}

Name:		glibmm
Summary:	C++ interface for glib
Version:	2.74.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(sigc++-3.0)
BuildRequires:	mm-common
%if %{with doc}
BuildRequires:	doxygen
BuildRequires:	libxslt-proc
%endif

%description
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{name} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

%package	-n %{libname}
Summary:	C++ interface for glib
Group:		System/Libraries
Provides:	%{name}%{api} = %{version}-%{release}
Obsoletes:	%{_lib}glibmm2.56_1 < 2.55.2-3

%description	-n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{name} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package	-n %{libnamedev}
Summary:	Headers and development files of %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	mm-common >= 0.9.4
Provides:	%{name}%{api}-devel = %{version}-%{release}
Obsoletes:	%{_lib}glibmm2.56-devel < 2.55.2-3

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%prep
%setup -q

%build
%global _vpath_builddir build-%{_build_arch}
%meson \
  -Dbuild-documentation=%{?with_doc:true}%{!?with_doc:false} \
  -Dbuild-deprecated-api=true
%meson_build

%install
rm -rf %buildroot
%meson_install

%files -n %{libname}
%{_libdir}/libglibmm*%{api}.so.%{major}*
%{_libdir}/libgiomm*%{api}.so.%{major}*

%files -n %{libnamedev}
%if %{with doc}
%doc %{_datadir}/doc/glibmm-%{api}/
%doc %{_datadir}/devhelp/books/glibmm-%{api}/
%endif
%{_libdir}/*.so
%{_includedir}/giomm-%{api}/
%{_includedir}/glibmm-%{api}/
%{_libdir}/giomm-%{api}/
%{_libdir}/glibmm-%{api}/
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Oct 24 2022 tex - 2.74.0-1pclos2022
- new version

* Thu Sep 29 2022 tex - 2.68.2-1pclos2022
- new version
